Amazon Linux 2:核心 (ALASKERNEL-5.4-2023-043)

high Nessus Plugin ID 173230

概要

遠端 Amazon Linux 2 主機缺少安全性更新。

說明

遠端主機上安裝的核心版本早於 5.4.235-144.344。因此,會受到 ALAS2KERNEL-5.4-2023-043 公告中所提及的多個弱點影響。

- Linux 核心的 KVM: nVMX 中存在回歸問題,可引致推測執行攻擊。
因為 KVM (L0) 向 L1 通告 eIBRS 支援,L1 認為在執行 L2 後其不需要 retpolines 或 IBPB,所以 L2 可以對 L1 發動 Spectre v2 攻擊。在 L2 具有程式碼執行權限的攻擊者可在主機的間接分支上執行程式碼。建議升級爲 Kernel 6.2 或之前的 commit 2e7eab81425a (CVE-2022-2196)

- 啟用 SMT 時,某些 AMD 處理器可能會在 SMT 模式切換後使用同級執行緒的目標推測執行指令,這可能會導致資訊洩漏。 (CVE-2022-27672)

- Linux 核心的 do_prlimit() 函式中存在推測性指標解除參照問題。資源引數值受到控制,並用於「rlim」變數的指標運算,惡意使用者可利用它造成內容洩漏。我們建議使用者升級舊版 6.1.8 或提交 739790605705ddcf18f21782b9c99ad7d53a8c11 (CVE-2023-0458)

- 在 Linux 核心中,因為混淆的項目不是 NULL,而是 list_head,所以 pick_next_rt_entity() 可能傳回 BUG_ON 條件未偵測到的類型混淆項目。存在問題的錯誤條件會導致類型混淆項目包含清單標頭,而它之後又被用作類型混淆的 sched_rt_entity,進而造成記憶體損毀。(CVE-2023-1077)

- 在 Linux 核心的可靠資料包通訊端 (RDS) 通訊協定實作中發現一個瑕疵。rds_rm_zerocopy_callback() 在清單標頭上使用 list_entry(),可造成類型混淆。本機使用者可透過 rds_message_put() 觸發此問題。類型混淆導致 `struct rds_zcopy_info *info` 實際上指向可能由本機使用者控制的其他內容。目前已知此問題的觸發方式,觸發後可造成超出邊界存取和鎖定損毀。(CVE-2023-1078)

- Linux 內核流量控制索引篩選器 (tcindex) 允許造成權限提升。不完整的雜湊區域可在封包遊走時更新,這將在使用損毀的 tcf_ext 呼叫「tcf_exts_exec()」時造成釋放後使用。本機攻擊者使用者可利用此弱點將其權限提升至 root。此問題會影響 Linux 核心:從 4.14 版到 git commit ee059170b1f7e94e55fa6cadee544e176a6e59c2。(CVE-2023-1281)

- Linux 核心流量控制索引篩選器 (tcindex) 中有一個釋放後使用弱點,可遭惡意利用來提升本機權限。tcindex_delete 函式在刪除基礎結構時未正確停用篩選器,從而會在稍後導致重複釋放該結構。本機攻擊者使用者可利用此弱點將其權限提升至 root。
我們建議升級 past commit 8c710f75256bb3cf05ac7b1672c82b92c43f3d28。(CVE-2023-1829)

- Linux 核心允許使用者空間處理程序透過呼叫 prctl (PR_SET_SPECULATION_CTRL 已停用推測功能),以及使用 seccomp 來啟用緩解措施。我們發現,在至少一個主要雲端供應商的 VM 上,即使在使用 prctl 啟用 spectre-BTI 緩解措施之後,核心在某些情況下仍會讓受害者處理程序容易受到攻擊。在開機命令行強制執行 IBRS 緩解措施時,可在裸機上觀察到相同的行為。發生這種情況是因為在啟用純 IBRS (非增強型 IBRS) 的情況下,核心的某些邏輯會判斷為不需要 STIBP。IBRS 位元可暗中防止跨執行緒分支目標插入。
但是,使用舊版 IBRS 時,由於效能原因,IBRS 位元會在傳回至使用者空間時遭到清除,這會停用隱含的 STIBP,並使使用者空間執行緒容易受到 STIBP 防範的跨執行緒分支目標插入弱點影響。(CVE-2023-1998)

- 在 Linux 核心的 SCSI 子元件中,發現 drivers/scsi/iscsi_tcp.c 的 iscsi_sw_tcp_session_create 存在釋放後使用弱點。攻擊者可利用此瑕疵洩漏核心內部資訊。
(CVE-2023-2162)

- 在低於 6.1.13 版的 Linux 核心中,重新命名裝置期間發生配置失敗 (用於在新位置下登記 sysctl 表格) 後,net/mpls/af_mpls.c 中會發生雙重釋放。(CVE-2023-26545)

- 在 Linux 核心中 fs/hfsplus/super.c 的 hfsplus_put_super 中發現釋放後使用缺陷。本機使用者可利用此缺陷造成拒絕服務。(CVE-2023-2985)

- 在 Linux 核心的 Framebuffer Console (fbcon) 中發現一個缺陷。為 fbcon_set_font 提供大於 32 的 font->width 和 font->height 時,由於沒有適當的檢查,會發生移位超出邊界,進而導致未定義的行為且可能造成拒絕服務。(CVE-2023-3161)

- 在 Linux 核心的 vc_screen 中,發現 drivers/tty/vt/vc_screen.c 的 vcs_read 中存在釋放後使用瑕疵。此問題允許具有本機使用者存取權的攻擊者造成系統當機或洩漏核心內部資訊。(CVE-2023-3567)

- 在 6.2.5 之前版本的 Linux 核心中,發現 ENE UB6250 讀取器驅動程式中的 drivers/usb/storage/ene_ub6250.c 存在問題。物件的延伸範圍可能超出配置的結尾。(CVE-2023-45862)

- 在 Linux 核心中,發現 net/netfilter/nf_conntrack_netlink.c 的 ctnetlink_create_conntrack 中存在記憶體流失問題。由於參考計數溢出,具有 CAP_NET_ADMIN 特權的本機攻擊者可藉由此問題執行拒絕服務 (DoS) 攻擊。(CVE-2023-7192)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

執行「yum update kernel」以更新系統。

另請參閱

https://alas.aws.amazon.com/AL2/ALASKERNEL-5.4-2023-043.html

https://alas.aws.amazon.com/faqs.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2196.html

https://alas.aws.amazon.com/cve/html/CVE-2022-27672.html

https://alas.aws.amazon.com/cve/html/CVE-2023-0458.html

https://alas.aws.amazon.com/cve/html/CVE-2023-1077.html

https://alas.aws.amazon.com/cve/html/CVE-2023-1078.html

https://alas.aws.amazon.com/cve/html/CVE-2023-1281.html

https://alas.aws.amazon.com/cve/html/CVE-2023-1829.html

https://alas.aws.amazon.com/cve/html/CVE-2023-1998.html

https://alas.aws.amazon.com/cve/html/CVE-2023-2162.html

https://alas.aws.amazon.com/cve/html/CVE-2023-26545.html

https://alas.aws.amazon.com/cve/html/CVE-2023-2985.html

https://alas.aws.amazon.com/cve/html/CVE-2023-3161.html

https://alas.aws.amazon.com/cve/html/CVE-2023-3567.html

https://alas.aws.amazon.com/cve/html/CVE-2023-45862.html

https://alas.aws.amazon.com/cve/html/CVE-2023-7192.html

Plugin 詳細資訊

嚴重性: High

ID: 173230

檔案名稱: al2_ALASKERNEL-5_4-2023-043.nasl

版本: 1.10

類型: local

代理程式: unix

已發布: 2023/3/22

已更新: 2024/1/23

支援的感應器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent, Nessus

風險資訊

VPR

風險因素: High

分數: 7.3

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5.3

媒介: CVSS2#AV:L/AC:L/Au:S/C:C/I:C/A:C

CVSS 評分資料來源: CVE-2023-1829

CVSS v3

風險因素: High

基本分數: 8.8

時間分數: 7.9

媒介: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

時間媒介: CVSS:3.0/E:P/RL:O/RC:C

CVSS 評分資料來源: CVE-2022-2196

弱點資訊

CPE: p-cpe:/a:amazon:linux:bpftool, p-cpe:/a:amazon:linux:bpftool-debuginfo, p-cpe:/a:amazon:linux:kernel, p-cpe:/a:amazon:linux:kernel-debuginfo, p-cpe:/a:amazon:linux:kernel-debuginfo-common-aarch64, p-cpe:/a:amazon:linux:kernel-debuginfo-common-x86_64, p-cpe:/a:amazon:linux:kernel-devel, p-cpe:/a:amazon:linux:kernel-headers, p-cpe:/a:amazon:linux:kernel-tools, p-cpe:/a:amazon:linux:kernel-tools-debuginfo, p-cpe:/a:amazon:linux:kernel-tools-devel, p-cpe:/a:amazon:linux:perf, p-cpe:/a:amazon:linux:perf-debuginfo, p-cpe:/a:amazon:linux:python-perf, p-cpe:/a:amazon:linux:python-perf-debuginfo, cpe:/o:amazon:linux:2

必要的 KB 項目: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2023/3/17

弱點發布日期: 2023/1/9

參考資訊

CVE: CVE-2022-2196, CVE-2022-27672, CVE-2023-0458, CVE-2023-1077, CVE-2023-1078, CVE-2023-1281, CVE-2023-1829, CVE-2023-1998, CVE-2023-2162, CVE-2023-26545, CVE-2023-2985, CVE-2023-3161, CVE-2023-3567, CVE-2023-45862, CVE-2023-7192